%define major 4
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	High-performance, high-quality video filters for the GPU
Name:		movit
Version:	1.3.2
Release:	1
License:	GPLv2+
Group:		Video
Url:		http://movit.sesse.net/
Source0:	http://movit.sesse.net/%{name}-%{version}.tar.gz
Patch0:		movit-1.3.2-disable-tests.patch
BuildRequires:	eigen3
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(x11)

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called "modern" usually isn't, and it's really not a toolkit.

Movit aims to be a high-quality, high-performance, open-source library
for video filters.

%files
%doc NEWS README
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.frag
%{_datadir}/%{name}/*.vert

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libmovit.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%dir %{_includedir}/movit/
%{_includedir}/movit/*.h
%{_libdir}/libmovit.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Thu Oct 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.2-1
- (3c2b8ee) Re-diff disable-tests patch


